petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSTrajectorySet

Sets a vector of state in the trajectory object

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySet(TSTrajectory tj,TS ts,PetscInt stepnum,PetscReal time,Vec X)

Collective on TSTrajectory

### Input Parameters

| tj | - the trajectory object
| ts | - the time stepper object (optional)
| stepnum | - the step number
| time | - the current time
| X | - the current solution

Notes: Usually one does not call this routine, it is called automatically during TSSolve()

### See Also

TSTrajectorySetUp(), TSTrajectoryDestroy(), TSTrajectorySetType(), TSTrajectorySetVariableNames(), TSGetTrajectory(), TSTrajectoryGet(), TSTrajectoryGetVecs()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c

### Implementations

TSTrajectorySet_Basic in src/ts/trajectory/impls/basic/trajbasic.c
TSTrajectorySet_Memory in src/ts/trajectory/impls/memory/trajmemory.c
TSTrajectorySet_Singlefile in src/ts/trajectory/impls/singlefile/singlefile.c
TSTrajectorySet_Visualization in src/ts/trajectory/impls/visualization/trajvisualization.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages